# Uses of Interface
net.sourceforge.jiu.data.GrayIntegerImage

Packages that use GrayIntegerImage
Package
Description
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.dithering
net.sourceforge.jiu.color.reduction
net.sourceforge.jiu.data

## Uses of GrayIntegerImage in net.sourceforge.jiu.color.analysis

Methods in net.sourceforge.jiu.color.analysis with parameters of type GrayIntegerImage
Modifier and Type
Method
Description
`private void`
MeanDifference.`process(GrayIntegerImage image1, GrayIntegerImage image2)`

## Uses of GrayIntegerImage in net.sourceforge.jiu.color.dithering

Methods in net.sourceforge.jiu.color.dithering with parameters of type GrayIntegerImage
Modifier and Type
Method
Description
`private void`
ClusteredDotDither.`process(GrayIntegerImage in, BilevelImage out)`

## Uses of GrayIntegerImage in net.sourceforge.jiu.color.reduction

Methods in net.sourceforge.jiu.color.reduction with parameters of type GrayIntegerImage
Modifier and Type
Method
Description
`private void`
ReduceShadesOfGray.`process(GrayIntegerImage in, int MASK, BilevelImage out)`
`private void`
ReduceShadesOfGray.`process(GrayIntegerImage in, GrayIntegerImage out)`
`private void`
ReduceToBilevelThreshold.`process(GrayIntegerImage in, BilevelImage out)`
`private void`
RGBToGrayConversion.`process(RGBIntegerImage in, GrayIntegerImage out)`

## Uses of GrayIntegerImage in net.sourceforge.jiu.data

Subinterfaces of GrayIntegerImage in net.sourceforge.jiu.data
Modifier and Type
Interface
Description
`interface`
`BilevelImage`
An interface for bilevel pixel image data classes.
`interface`
`Gray16Image`
Interface for grayscale images using integer samples that are sixteen bits large.
`interface`
`Gray8Image`
Interface for grayscale images using integer samples that are eight bits large.
Classes in net.sourceforge.jiu.data that implement GrayIntegerImage
Modifier and Type
Class
Description
`class`
`MemoryBilevelImage`
An implementation of the `BilevelImage` interface that stores image data in a `byte` array in memory.
`class`
`MemoryGray16Image`
An implementation of `Gray16Image` that keeps the complete image in memory.
`class`
`MemoryGray8Image`
An implementation of `Gray8Image` that keeps the complete image in memory.